package com.gxzc.zen

import com.github.tobato.fastdfs.exception.FdfsServerException
import com.gxzc.zen.api.util.FileSystemUtil
import org.junit.Assert
import org.junit.Test
import org.junit.runner.RunWith
import org.springframework.boot.test.context.SpringBootTest
import org.springframework.test.context.junit4.SpringRunner

/**
 *
 * @author NorthLan
 * @date 2018/9/1
 * @url https://noahlan.com
 */
@RunWith(SpringRunner::class)
@SpringBootTest(classes = [MainApplication::class])
class FileSystemUtilTest {

    @Test
    fun testFileUpload() {
        println("测试上传文件: D:\\settings.jar")
        val storePath = try {
            FileSystemUtil.uploadFile("D:\\settings.jar")
        } catch (e: FdfsServerException) {
            null
        }
        Assert.assertTrue("上传失败!", storePath != null)
        println("上传成功: ${storePath!!.group}/${storePath.path}")

        println("测试删除文件: ${storePath.group}/${storePath.path}")
        val success = try {
            FileSystemUtil.deleteFile(storePath.group, storePath.path)
            true
        } catch (e: Throwable) {
            false
        }
        Assert.assertTrue("删除失败!", success)
        println("删除成功!")
    }

    @Test
    fun testFileDownload() {
        println("测试下载文件: group1/M00/00/20/wKhvBFuJV2qEBn45AAAAADwYXv4544.pdf -> D:\\test.pdf")
        val file = try {
            FileSystemUtil.downloadFile("group1", "M00/00/20/wKhvBFuJV2qEBn45AAAAADwYXv4544.pdf", "D:\\test.pdf")
        } catch (e: FdfsServerException) {
            null
        }
        Assert.assertTrue("下载失败!", file != null)
        println("下载成功")
    }
}